For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create unit of measure

Create a new unit of measure.

post
Body
namestringOptional
descriptionstringOptional
Responses
201

Created

application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
descriptionstring · nullableOptional
post/public/v1/catalog/units-of-measure
POST /public/v1/catalog/units-of-measure HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 36

{
  "name": "text",
  "description": "text"
}
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "revision": 1,
  "description": "text",
  "statistics": {
    "itemCount": 1
  }
}

Last updated

Was this helpful?